sensorhubDevelopers
Open SensorhubGet an API key
Browse documentation
REST API / Collections

workspaces

Collection

The authenticated workspace and its effective plan.

Max rows per query
100
Default order
id asc
Cursor paging
by id

Use read report_* for dashboard headline metrics and anchored comparison windows.

Fields

FieldTypeDescriptionFilterSort
id
indexed
stringUnique row ID.✓✓
name
stringWorkspace name.✓✓
plan
stringEffective workspace plan.
TRIAL BASIC PRO ENTERPRISE AGENCY PROBONO PROBONO3 PROBONO_1P10U STARTER PRO_CREDITS AGENCY_CREDITS
––

Examples

Example
SELECT id, name, plan
FROM workspaces
ORDER BY id ASC
LIMIT 25

Calling it

MCP

Tool call
query({"sql":"SELECT id, name, plan FROM workspaces ORDER BY id ASC LIMIT 25"})

REST

curl
curl -X POST "https://app.sensorhub.ai/api/v1/query" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  --data-binary @- <<'JSON'
{
  "sql": "SELECT id, name, plan FROM workspaces ORDER BY id ASC LIMIT 25"
}
JSON
Row JSON Schema
json
{
  "type": "object",
  "description": "The authenticated workspace and its effective plan.",
  "properties": {
    "id": {
      "type": "string",
      "description": "Unique row ID.",
      "x-sensorhub-indexed": true,
      "x-sensorhub-searchable": false,
      "x-sensorhub-aggregatable": true,
      "x-sensorhub-filterable": true,
      "x-sensorhub-sortable": true
    },
    "name": {
      "type": "string",
      "description": "Workspace name.",
      "x-sensorhub-indexed": false,
      "x-sensorhub-searchable": false,
      "x-sensorhub-aggregatable": true,
      "x-sensorhub-filterable": true,
      "x-sensorhub-sortable": true
    },
    "plan": {
      "type": "string",
      "description": "Effective workspace plan.",
      "enum": [
        "TRIAL",
        "BASIC",
        "PRO",
        "ENTERPRISE",
        "AGENCY",
        "PROBONO",
        "PROBONO3",
        "PROBONO_1P10U",
        "STARTER",
        "PRO_CREDITS",
        "AGENCY_CREDITS"
      ],
      "x-sensorhub-filter-operators": [],
      "x-sensorhub-indexed": false,
      "x-sensorhub-searchable": false,
      "x-sensorhub-aggregatable": false,
      "x-sensorhub-filterable": false,
      "x-sensorhub-sortable": false
    }
  },
  "additionalProperties": false
}